Spaces:
Running
Running
Commit History
-
Move vars to dynamic, add metrics (#1085)
Unverified signature* Add healthcheck route * Add prom client with basic metrics * wip: serve metrics on a different port * exclude server from tsconfig * latest * refacto(all): use class & singleton * refacto(all): use class & singleton * refacto(all): add request logs * Make all the env vars dynamic (#1092) * Add truncate to task model (#1090) * retry text area height (#1091) * Make all the env vars dynamic * only check for db at runtime * remove secret from build step * improve dockerfile * Wrap db in singleton * add .env.local to dockerignore * changes to dockerfile * lint * aborted generations * move collections build check * Use a single dockerfile * lint * fixes * lint * don't return db during building * remove dev --------- Co-authored-by: Victor Muštar <victor.mustar@gmail.com> * refacto(all): update default metrics port * fix recursion error * add version check * revert vite preview * Move request …98b1c51
-
Use pino for logs (#1086)
Unverified signature* Use pino for logs * Use logger for info * Add errorId to the logsddbe7d2
-
Support Gemini 1.5 Pro from Vertex AI (#1041)
Luke +1: nsarrazin Unverified signature* fix support for gemini on vertex ai - use native messages api - provide full content - hide "Continue" button - support "safety settings" - fix confusion in readme * respect new lines in model description * ignore google service accounts matching `gcp-*.json` * type checks * copy service account, if exists, to container * narrow response type * fix streaming generation --------- Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>2ce3b4b
-
Add langserve endpoint (#1009)
Antonio Ramos +1: antonioraUnverified signature* Add support for langserve endpoints * Add support for langserve endpoints * Fix linting * Fix linting issues * Fix issue import --------- Co-authored-by: antoniora <antonio.ramos@adyen.com>f12455d
-
quick fix error message (#977)
Unverified signatured323cb0 -
Add support for cohere endpoints (#976)
Unverified signature* Add support for cohere endpoints * readme updatea99cca3
-
Implement Cloudflare Workers AI endpoint (#907) (#972)
Unverified signature* Implement Cloudflare Workers AI endpoint (#907) * Renamed to Cloudflare Workers AI in docs * Add note about sampling parameters * clean up env examplecb000d3
-
Google Vertex API support (#950)
Unverified signature* Added Google Vertex API support Google Application credentials can be set via GOOGLE_APPLICATION_CREDENTIALS = clientid.json * Updated the readme file * Updated the package-lock file * Updated the package-lock file Fixed minor issues * Moved "@google-cloud/vertexai" to optional dependencies * Updated for lint checker3ebd3a8
-
Expose sampling controls in assistants (#955) (#959)
Unverified signature* Expose sampling controls in assistants (#955) * Make sure all labels have the same font size * styling * Add better tooltips * better padding & wrapping * Revert "better padding & wrapping" This reverts commit 1b44086465040f2cb6bc906983cfc8d95820d6fe. * ui update * tooltip on mobile * lint * Update src/lib/components/AssistantSettings.svelte Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu> --------- Co-authored-by: Victor Mustar <victor.mustar@gmail.com> Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu>d4016bc
-
Anthropic Endpoint Support (#923)
Liam DyerUnverified signaturefeat: anthropic endpoint5a31018
-
Fix prompt caching on llama.cpp endpoints (#920)
Unverified signatureExplicitly enable prompt caching on llama.cpp endpoints Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>eb071be
-
Make sure preprompt is set on open ai endpoint type (#913)
Unverified signature* Make sure preprompt is set on open ai endpoint type * fix preprompt passing to conversationbcfa394
-
Fix issue with "continue" feature on llama.cpp endpoints (#898)
Unverified signature714ff2c -
Bug Fix: Json Decoder aggessively pulls json (#867)
Matthew Current +1: nsarrazin Unverified signature* wait for newline char b4 decoding json * remove noisy console log * linters --------- Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>9c5a826
-
Allow customising defaultQuery for native Azure OpenAI support (#822)
Unverified signatureThe api-version is a required query parameter for Azure OpenAI, by supporting this we can support it without a gateway like portkey. Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>7c4d92a
-
Conversation trees (#223) (#807)
Unverified signature* work on branching * branching * work on input field * wip * wip * helper stuff * pass tests * add type guards and clean up type requirements * fixed shared conv type * more helpers stuff * clean up code * addChildren helper * addSibling * add test for addSibling & refacto addChildren tests * backend work pt. 1 * backend done * add children property to messages for easier frontend rendering * fix message id type rail * front-end work on simple linear conversation * fix title generation * convert conversations on post * server side retry works with branching * clean up buttons * fix retry feature backend * Send new messages in any subtree * make edit previous prompts feature work * fix padding * revert unneeded changes * bring back pending message * fix front-end streaming * fix initial message * Revert "fix initial message" This reverts commit 6257fe8789c52a20e7506aa453efda55c16e95bb. * …e6addfc
-
fix continue button on openai endpoint (#803)
Unverified signature12e7e30
-
Several QoL contributions (#760)
Luke +1: nsarrazin Unverified signature* allow customizing disclaimer as `PUBLIC_APP_DISCLAIMER_MESSAGE` * support passing `defaultHeaders` to `openai` endpoint * add azure openai, claude, mistral examples using `defaultHeaders` & `openai` endpoint * fix streaming being buffered behind cloudflare tunnel might help to relieve issue #598 * support new lines in model description * don't automatically generate modelUrl to huggingface fixes broken links for self-hosted or custom-named model * add `PUBLIC_APP_DISCLAIMER_MESSAGE` in `.env` * `npm run format` --------- Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>73a5c0d
-
Continue generation feature (#707)
Unverified signature* Initial work on continue feature * Move continue button * Fix websearch with continue * Make it work with every model * Update src/routes/conversation/[id]/+server.ts Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu> * fixes * async all the things * add reduce comment * remove log * Only show loading indicator if not continuing --------- Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu>77399ca -
[JS] use shorthand notation (#711)
MishigUnverified signature* [JS] use shorthand notation * add `"object-shorthand": ["error", "always"],` * fix "Expected method shorthand object-shorthand" * formatd5559df
-
Standardize HF_ACCESS_TOKEN -> HF_TOKEN (#610)
Unverified signature* Standardize HF_ACCESS_TOKEN -> HF_TOKEN * Replace HF_ACCESS_TOKEN by HF_TOKEN in .env * Add legacy support for HF_ACCESS_TOKEN --------- Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>3cbea34
-
Support websearch for openAI chat completion mode (#608)
Unverified signaturecb29148 -
Add support for passing an API key or any other custom token in the authorization header (#579)
Galén +1: nsarrazin Unverified signature* Add support for passing an API key or any other custom token in the authorization header * Make linter happy * Fix README as per linter suggestions * Refactor endpoints to actually parse zod config * Remove top level env var and simplify header addition * Skip section on API key or other, remove obsolete comment in endpointTgi.ts and remote CUSTOM_AUTHORIZATION_TOKEN from .env --------- Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>a1afcb6
-
Add ollama endpoint support (#569)
Unverified signature* Add ollama endpoint support * replace if by switch * Add Ollama example in docs14f0244
-
disable cache on tgi endpoint (#567)
Unverified signaturedd4c436
-
Add support for tgi multimodal models (#531)
Unverified signature* wip: add support for tgi multimodal models * wip work on passing images to prompt * working idefics config! * rm allowed conv feature * lint * Add image resizing * fix ssr * add upload button * add delete button * misc formatting * lint * server file size check * optimistic update of images * retry with images * fix websearch button * lint * better error handling & max one image at a time * replace test image by blank one * disable loading on page change * Fix sharing of images * fix comments * Update filedropzone (#544) * Update src/lib/buildPrompt.ts Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu> * small tweaks * Fix merge conflicts * lint * wildcard image mime type * fix lint and comment * added comments * added comment about file size * Readme update --------- Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu> Co-authored-by: Victor Mustar <victor.mustar@g…0e5c445 -
remove min string size on accessToken
Unverified signature6cfb775
-
fix: typecheck
Unverified signature26efb26 -
Modular backends & support for openAI & AWS endpoints (#541)
Unverified signature* Fix the response Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Should use /completions Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Use async generator Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Use openai npm Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Fix generateFromDefaultEndpoint Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Fix last char become undefined Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Better support for system prompt Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Updates Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Revert Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Update README Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Default system prompt Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * remove sk- Signed-off-by: Hung-Han …9db8ced